/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SYS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCH_LOCK') 
 CREATE TABLE T_SCH_LOCK (
FID VARCHAR(36) DEFAULT ' ' NOT NULL,
FCLUSTERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FLOCKTIME DATETIME DEFAULT GETDATE() NOT NULL,
FUNLOCKTIME DATETIME,
FUPDATETIME DATETIME,
FTIMEOUT INT DEFAULT 2 NOT NULL,
FDATA VARCHAR(360),
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FUNLOCKTYPE CHAR(1) DEFAULT '1' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SYS_table.sql **/
